Skip to main content

Query notification server IP addresses

GET
https://api.sd-rtn.com/v1/ncs/ip

The Agora message notification service notifies your server of Cloud Recording events through HTTPS requests. Agora dynamically adjusts the IP addresses of the message notification server. Call this endpoint regularly and update your firewall configuration whenever the addresses change.

info

Query the IP addresses at least once every 24 hours and update your firewall whitelist automatically to avoid interruptions in notification delivery.

Request

This endpoint has no path parameters or request body.

Response

Response body

  • If the returned status code is 200, the request was successful. Only the primaryIP field in the response body is relevant; the response header and all other fields can be ignored.

    OK
    • data object
      Show propertiesHide properties
      • service object
        Show propertiesHide properties
        • hosts array[object]
          Show propertiesHide properties
          • primaryIP string

            An IP address of the Agora message notification server. Add all returned IP addresses to your firewall whitelist.

  • If the returned status code is not 200, the request failed. See Response status codes for troubleshooting.

Authorization

This endpoint requires Basic Auth.

Request example


_3
curl --request GET \
_3
--url https://api.sd-rtn.com/v1/ncs/ip \
_3
--header 'Authorization: Basic <credentials>'

Response example


_14
{
_14
"data": {
_14
"service": {
_14
"hosts": [
_14
{
_14
"primaryIP": "xxx.xxx.xxx.xxx"
_14
},
_14
{
_14
"primaryIP": "xxx.xxx.xxx.xxx"
_14
}
_14
]
_14
}
_14
}
_14
}